package handler

import (
	"gitea.michaelthomson.dev/mthomson/habits/internal/todo/service"
)

type TodoGetter interface {
	GetTodo(id int64) (service.Todo, error)
}

type TodoCreater interface {
	CreateTodo(todo service.Todo) (service.Todo, error)
}

type TodoDeleter interface {
	DeleteTodo(id int64) error
}

type TodoUpdater interface {
	UpdateTodo(todo service.Todo) error
}
